/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.orkut.model;

import com.google.api.client.json.GenericJson;
import com.google.api.client.util.DateTime;

/**
 * Model definition for CommunityPollComment.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Orkut API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class CommunityPollComment extends GenericJson {

  /**
   * The date when the message was added, in RFC 3339 format.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private DateTime addedDate;

  /**
   * The creator of the comment.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private OrkutAuthorResource author;

  /**
   * The body of the message.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String body;

  /**
   * The ID of the comment.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer id;

  /**
   * Identifies this resource as a community poll comment. Value: "orkut#communityPollComment"
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The date when the message was added, in RFC 3339 format.
   * The value returned may be {@code null}.
   */
  public DateTime getAddedDate() {
    return addedDate;
  }

  /**
   * The date when the message was added, in RFC 3339 format.
   * The value set may be {@code null}.
   */
  public CommunityPollComment setAddedDate(DateTime addedDate) {
    this.addedDate = addedDate;
    return this;
  }

  /**
   * The creator of the comment.
   * The value returned may be {@code null}.
   */
  public OrkutAuthorResource getAuthor() {
    return author;
  }

  /**
   * The creator of the comment.
   * The value set may be {@code null}.
   */
  public CommunityPollComment setAuthor(OrkutAuthorResource author) {
    this.author = author;
    return this;
  }

  /**
   * The body of the message.
   * The value returned may be {@code null}.
   */
  public String getBody() {
    return body;
  }

  /**
   * The body of the message.
   * The value set may be {@code null}.
   */
  public CommunityPollComment setBody(String body) {
    this.body = body;
    return this;
  }

  /**
   * The ID of the comment.
   * The value returned may be {@code null}.
   */
  public Integer getId() {
    return id;
  }

  /**
   * The ID of the comment.
   * The value set may be {@code null}.
   */
  public CommunityPollComment setId(Integer id) {
    this.id = id;
    return this;
  }

  /**
   * Identifies this resource as a community poll comment. Value: "orkut#communityPollComment"
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies this resource as a community poll comment. Value: "orkut#communityPollComment"
   * The value set may be {@code null}.
   */
  public CommunityPollComment setKind(String kind) {
    this.kind = kind;
    return this;
  }

}
