/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.orkut.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for CommunityTopicList.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Orkut API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class CommunityTopicList extends GenericJson {

  /**
   * The value of pageToken query parameter in community_topic.list request to get the first page.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String firstPageToken;

  /**
   * List of topics retrieved.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<CommunityTopic> items;

  static {
    // hack to force ProGuard to consider CommunityTopic used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(CommunityTopic.class);
  }

  /**
   * Identifies this resource as a collection of community topics. Value: "orkut#communityTopicList"
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The value of pageToken query parameter in community_topic.list request to get the last page.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String lastPageToken;

  /**
   * The value of pageToken query parameter in community_topic.list request to get the next page, if
   * there are more to retrieve.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String nextPageToken;

  /**
   * The value of pageToken query parameter in community_topic.list request to get the previous
   * page, if there are more to retrieve.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String prevPageToken;

  /**
   * The value of pageToken query parameter in community_topic.list request to get the first page.
   * The value returned may be {@code null}.
   */
  public String getFirstPageToken() {
    return firstPageToken;
  }

  /**
   * The value of pageToken query parameter in community_topic.list request to get the first page.
   * The value set may be {@code null}.
   */
  public CommunityTopicList setFirstPageToken(String firstPageToken) {
    this.firstPageToken = firstPageToken;
    return this;
  }

  /**
   * List of topics retrieved.
   * The value returned may be {@code null}.
   */
  public java.util.List<CommunityTopic> getItems() {
    return items;
  }

  /**
   * List of topics retrieved.
   * The value set may be {@code null}.
   */
  public CommunityTopicList setItems(java.util.List<CommunityTopic> items) {
    this.items = items;
    return this;
  }

  /**
   * Identifies this resource as a collection of community topics. Value: "orkut#communityTopicList"
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies this resource as a collection of community topics. Value: "orkut#communityTopicList"
   * The value set may be {@code null}.
   */
  public CommunityTopicList setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The value of pageToken query parameter in community_topic.list request to get the last page.
   * The value returned may be {@code null}.
   */
  public String getLastPageToken() {
    return lastPageToken;
  }

  /**
   * The value of pageToken query parameter in community_topic.list request to get the last page.
   * The value set may be {@code null}.
   */
  public CommunityTopicList setLastPageToken(String lastPageToken) {
    this.lastPageToken = lastPageToken;
    return this;
  }

  /**
   * The value of pageToken query parameter in community_topic.list request to get the next page, if
   * there are more to retrieve.
   * The value returned may be {@code null}.
   */
  public String getNextPageToken() {
    return nextPageToken;
  }

  /**
   * The value of pageToken query parameter in community_topic.list request to get the next page, if
   * there are more to retrieve.
   * The value set may be {@code null}.
   */
  public CommunityTopicList setNextPageToken(String nextPageToken) {
    this.nextPageToken = nextPageToken;
    return this;
  }

  /**
   * The value of pageToken query parameter in community_topic.list request to get the previous
   * page, if there are more to retrieve.
   * The value returned may be {@code null}.
   */
  public String getPrevPageToken() {
    return prevPageToken;
  }

  /**
   * The value of pageToken query parameter in community_topic.list request to get the previous
   * page, if there are more to retrieve.
   * The value set may be {@code null}.
   */
  public CommunityTopicList setPrevPageToken(String prevPageToken) {
    this.prevPageToken = prevPageToken;
    return this;
  }

}
