/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.orkut.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for OrkutCounterResource.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Orkut API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class OrkutCounterResource extends GenericJson {

  /**
   * Link to the collection being counted.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private OrkutLinkResource link;

  /**
   * The name of the counted collection. Currently supported collections are: - scraps - The scraps
   * of the user.  - photos - The photos of the user.  - videos - The videos of the user.  -
   * pendingTestimonials - The pending testimonials of the user.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String name;

  /**
   * The number of resources on the counted collection.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer total;

  /**
   * Link to the collection being counted.
   * The value returned may be {@code null}.
   */
  public OrkutLinkResource getLink() {
    return link;
  }

  /**
   * Link to the collection being counted.
   * The value set may be {@code null}.
   */
  public OrkutCounterResource setLink(OrkutLinkResource link) {
    this.link = link;
    return this;
  }

  /**
   * The name of the counted collection. Currently supported collections are: - scraps - The scraps
   * of the user.  - photos - The photos of the user.  - videos - The videos of the user.  -
   * pendingTestimonials - The pending testimonials of the user.
   * The value returned may be {@code null}.
   */
  public String getName() {
    return name;
  }

  /**
   * The name of the counted collection. Currently supported collections are: - scraps - The scraps
   * of the user.  - photos - The photos of the user.  - videos - The videos of the user.  -
   * pendingTestimonials - The pending testimonials of the user.
   * The value set may be {@code null}.
   */
  public OrkutCounterResource setName(String name) {
    this.name = name;
    return this;
  }

  /**
   * The number of resources on the counted collection.
   * The value returned may be {@code null}.
   */
  public Integer getTotal() {
    return total;
  }

  /**
   * The number of resources on the counted collection.
   * The value set may be {@code null}.
   */
  public OrkutCounterResource setTotal(Integer total) {
    this.total = total;
    return this;
  }

}
